/*
 _       __      _ __    
| |     / /___ _(_) /____
| | /| / / __ `/ / / ___/
| |/ |/ / /_/ / / (__  ) 
|__/|__/\__,_/_/_/____/  
The lightweight framework for web-like apps
(c) Lea Anthony 2019-present
*/
/* jshint esversion: 6 */

const Log = require('./log');
const Browser = require('./browser');
const Events = require('./events');

/**
 * Initialises the Wails runtime
 *
 * @param {function} callback
 */
function Init(callback) {

  // Try calling the bridge by default
  if (window.wailsbridge && window.wailsbridge.Init) {
    window.wailsbridge.Init(callback);
  } else {
    window.wails._.Init(callback);
  }
}

module.exports = {
  Log,
  Browser,
  Events,
  Init
};